/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2015 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

function Reset() {
  var i;

  TargetInterface.message("AT91SAM9261_Target.js: Start");
  TargetInterface.resetAndStop(100);
  TargetInterface.pokeWord(0xFFFFFD44, 0x00008000);  // Disable watchdog
  TargetInterface.pokeWord(0xFFFFFD00, 0xA5000004);  // Reset peripherals
  TargetInterface.delay(10);

  // Init PLL
  TargetInterface.message("AT91SAM9261_Target.js: Init PLL");
  TargetInterface.pokeWord(0xFFFFFC20, 0x00000601);
  TargetInterface.delay(1);
  TargetInterface.pokeWord(0xFFFFFC28, 0x206ca00a);
  TargetInterface.delay(1);
  TargetInterface.pokeWord(0xFFFFFC2C, 0x1033200a);
  TargetInterface.delay(1);
  TargetInterface.pokeWord(0xFFFFFC30, 0x1033200a);
  TargetInterface.delay(1);

  // Init SDRAM
  TargetInterface.message("AT91SAM9261_Target.js: Init SDRAM");
  TargetInterface.pokeWord(0xFFFFEE30, 0x00010002);
  TargetInterface.pokeWord(0xFFFFFC10, 0x00000010);
  TargetInterface.pokeWord(0xfffff854, 0xFFFF0000);
  TargetInterface.pokeWord(0xFFFFF870, 0xFFFF0000);
  TargetInterface.pokeWord(0xFFFFF804, 0xFFFF0000);
  TargetInterface.pokeWord(0xFFFFEA08, 0x85227259);
  TargetInterface.delay(2);
  TargetInterface.pokeWord(0xFFFFEA00, 0x00000002);
  TargetInterface.peekWord(0x20000000);
  TargetInterface.delay(2);
  for (i = 0; i < 8 ; i++) {
    TargetInterface.pokeWord(0xFFFFEA00, 0x00000004);
    TargetInterface.peekWord(0x20000000);
  }
  TargetInterface.pokeWord(0xFFFFEA00, 0x00000003);
  TargetInterface.pokeWord(0x20000000, 0xcafedede);
  TargetInterface.pokeWord(0xFFFFEA04, 0x0000030C);
  TargetInterface.pokeWord(0xFFFFEA00, 0x00000000);
  TargetInterface.peekWord(0x20000000);

  // Init AIC
  TargetInterface.message("AT91SAM9261_Target.js: Init AIC");
  TargetInterface.pokeWord(0xFFFFF124, 0xFFFFFFFF);
  for (i = 0; i < 8 ; i++) {
    TargetInterface.peekWord(0xFFFFF130);
  }

  // Init RSTC
  TargetInterface.message("AT91SAM9261_Target.js: Init RSTC");
  TargetInterface.pokeWord(0xFFFFFD08, 0xA5000001);
  TargetInterface.message("AT91SAM9261_Target.js: Done");
}
